Skip to main content
GET
Recent Congress Trades

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

limit
integer
default:100

How many items to return. Default: 100. Max: 200. Min: 1.

Required range: 1 <= x <= 200
Example:

10

date
string

A trading date in the format of YYYY-MM-DD. This is optional and by default the last trading date.

Example:

"2024-01-18T00:00:00.000Z"

ticker
string | null

Optional ticker symbol to filter results

Example:

"IOVA"

Response

A senate stock

amounts
string

The reported amount range of the transaction.

Example:

"$1,000 - $15,000"

filed_at_date
string

The filing date as ISO date.

Example:

"2023-12-13T00:00:00.000Z"

is_active
string

Is the politician an active member.

Example:

"G000585"

issuer
string

The person who executed the transaction.

Example:

"spouse"

member_type
boolean

The type of person who executed the transaction.

Example:

true

name
string

The Standardized name of the reporter (if found).

Example:

"Stephen Cohen"

notes
string

Notes of the filing.

Example:

"Subholding Of: Stephens Advantage Account Description: FT UNIT 10479 PFD mutual-fund 32500"

politician_id
string

The Politician's ID that you'd like to filter by.

Example:

"18f9fc95-4661-444e-99f5-99d3778e0c31"

reporter
string

The person who reported the transaction (as written in filling).

Example:

"Stephen Cohen"

ticker
string

The stock ticker.

Example:

"AAPL"

transaction_date
string

The transaction date as ISO date.

Example:

"2023-12-06T00:00:00.000Z"

txn_type
enum<string>

The transaction type.

Available options:
Buy,
Sell (partial),
Purchase,
Sale (Partial),
Receive,
Sale (Full),
Sell (PARTIAL),
Sell,
Exchange
Example:

"Sell"

Last modified on September 29, 2026